Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.persistence
Class PersistenceManager

    java.lang.Object
      org.wso2.wsas.persistence.PersistenceManager

    public class PersistenceManager

extends java.lang.Object

Handles all the persistence related stuff for WSO2 WSAS

Constructor Summary
`PersistenceManager()`

Method Summary
`void` | `addAppender(AppenderDO appenderDO)`
`java.lang.Long` | `addEJBAppServerConfiguration(EJBAppServerDO ejbAppServerDO)`
`java.lang.Long` | `addEJBConfiguration(EJBProviderDO ejbProvider)`
`void` | `addEngagedOperationToModule(java.lang.String moduleName, java.lang.String moduleVersion, OperationDO op)`
`void` | `addEngagedServiceGroupToModule(java.lang.String moduleName, java.lang.String moduleVersion, ServiceGroupDO serviceGrp)`
`void` | `addEngagedServiceToModule(java.lang.String moduleName, java.lang.String moduleVersion, ServiceDO service)`
`void` | `addEntity(AbstractDataObject obj)`
`java.lang.Long` | `addKeyStore(KeyStoreDO keyStore)`
`void` | `addLogger(LoggerDO loggerDO)`
`void` | `addMessage(MessageDO message)`
`java.lang.Long` | `addModule(ModuleDO module)`
`java.lang.Long` | `addOrUpdateUserRole(ServiceUserRoleDO serviceUserRole)`
`void` | `addParameterToModule(java.lang.String moduleName, java.lang.String moduleVersion, ModuleParameterDO param)`
`void` | `addParameterToService(java.lang.String serviceId, java.lang.String serviceVersion, ServiceParameterDO param)`
`void` | `addPolicyToModule(java.lang.String moduleName, java.lang.String moduleVersion, ModulePolicyDO policy)`
`void` | `addPolicyToService(java.lang.String serviceId, java.lang.String serviceVersion, ServicePolicyDO policy)`
`void` | `addRole(java.lang.String userName, ServiceUserRoleDO role)`
`java.lang.Long` | `addSecurityScenario(SecurityScenarioDO scenario)`
`java.lang.Long` | `addService(ServiceDO service)`
`void` | `addServiceGroup(ServiceGroupDO sgDO)`
`void` | `addServicePolicy(ServicePolicyDO servicePolicy)`
`java.lang.Long` | `addToken(SecurityTokenDO tokenDO)`
`java.lang.Long` | `addTransport(TransportDO protocol)`
`java.lang.Long` | `addUser(ServiceUserDO serviceUser)`
`java.lang.Long` | `addUserRole(ServiceUserRoleDO serviceUserRole)`
`void` | `assignRoleToService(java.lang.String roleName, java.lang.String serviceId, java.lang.String serviceVersion)`
`void` | `assignUserToService(java.lang.String username, java.lang.String serviceId, java.lang.String serviceVersion)`
`void` | `deleteEntity(AbstractDataObject dataObject)`
`void` | `deleteKeyStore(java.lang.String keyStoreName)`
`void` | `deleteModule(java.lang.String moduleName, java.lang.String moduleVersion)`
`void` | `deleteRole(java.lang.String roleName)`
`void` | `deleteRoleFromUser(java.lang.String userName, java.lang.String roleName)`
`void` | `deleteService(java.lang.String serviceId, java.lang.String serviceVersion)`
`void` | `deleteServiceGroup(org.apache.axis2.description.AxisServiceGroup serviceGroup)`
`void` | `deleteUser(java.lang.String userName)`
`java.util.List` | `getAllAppenders()`
`java.util.List` | `getAllLoggers()`
`ModuleDO[]` | `getAllModules()`
`SecurityScenarioDO[]` | `getAllSecurityScenarios()`
`SecurityTokenDO[]` | `getAllSecurityTokens()`
`AppenderDO` | `getAppenderDO(java.lang.String appenderName)`
`java.lang.String` | `getConfigurationProperty(java.lang.String propertyName)`
`EJBAppServerDO` | `getEJBAppServerConfiguration(java.lang.String jnpProviderUrl)`
`EJBAppServerDO[]` | `getEJBAppServerConfigurations()`
`EJBProviderDO` | `getEJBConfiguration(java.lang.String beanJNDIName, java.lang.String jnpProviderUrl)`
`EJBProviderDO[]` | `getEJBConfigurations()`
`ModuleDO[]` | `getEngagedModules(OperationDO op)`
`ModuleDO[]` | `getEngagedModules(ServiceDO service)`
`ModuleDO[]` | `getEngagedModules(java.lang.String serviceId, java.lang.String serviceVersion)`
`OperationDO[]` | `getEngagedOperations(java.lang.String moduleName, java.lang.String moduleVersion)`
`ServiceDO[]` | `getEngagedServices(java.lang.String moduleName, java.lang.String moduleVersion)`
`KeyStoreDO` | `getKeyStore(java.lang.String ksName)`
`KeyStoreDO[]` | `getKeyStores()`
`LoggerDO` | `getLoggerDO(java.lang.String loggerName)`
`long` | `getMaxMessageSequence(java.lang.String serviceId, java.lang.String serviceVersion, java.lang.String operationName)`
`MessageDO[]` | `getMessages(MessageDO msgSearchCriteria)`
`ModuleDO` | `getModule(java.lang.String moduleName, java.lang.String version)`
`ModuleParameterDO` | `getModuleParameter(ModuleDO module, java.lang.String paramName)`
`ModuleParameterDO[]` | `getModuleParameters(ModuleDO module)`
`ModulePolicyDO[]` | `getModulePolicies(ModuleDO module)`
`ModulePolicyDO[]` | `getModulePolicies(java.lang.String moduleName, java.lang.String moduleVersion)`
`OperationDO` | `getOperation(java.lang.String serviceId, java.lang.String serviceVersion, java.lang.String opName)`
`OperationParameterDO` | `getOperationParameter(java.lang.String serviceId, java.lang.String serviceVersion, java.lang.String operationId, java.lang.String paramName)`
`OperationParameterDO[]` | `getOperationParameters(OperationDO op)`
`OperationDO[]` | `getOperations(ServiceDO service)`
`ServiceUserRoleDO` | `getRole(java.lang.String role)`
`ServiceUserRoleDO[]` | `getRolesForService(java.lang.String serviceId, java.lang.String serviceVersion)`
`SecurityScenarioDO` | `getSecurityScenario(java.lang.String scenarioId)`
`SecurityTokenDO` | `getSecurityToken(java.lang.String tokenId)`
`ServiceDO` | `getService(java.lang.String serviceId, java.lang.String serviceVersion)`
`ServiceGroupDO` | `getServiceGroup(java.lang.String serviceGroupId)`
`ServiceGroupParameterDO` | `getServiceGroupParameter(ServiceGroupDO serviceGroup, java.lang.String paramName)`
`OperationDO[]` | `getServiceOperations(ServiceDO service)`
`OperationDO[]` | `getServiceOperations(java.lang.String serviceId, java.lang.String serviceVersion)`
`ServiceParameterDO` | `getServiceParameter(ServiceDO service, java.lang.String paramName)`
`ServiceParameterDO[]` | `getServiceParameters(ServiceDO service)`
`ServicePolicyDO[]` | `getServicePolicies(ServiceDO service)`
`ServiceDO[]` | `getServices(ServiceGroupDO serviceGroup)`
`ServiceUserRoleDO` | `getServiceUserRole(java.lang.String role)`
`TransportDO` | `getTransport(java.lang.String protocol)`
`TransportDO[]` | `getTransports()`
`ServiceUserDO` | `getUser(java.lang.String username)`
`ServiceUserRoleDO` | `getUserRole(java.lang.String role)`
`ServiceUserRoleDO[]` | `getUserRoles()`
`ServiceUserRoleDO[]` | `getUserRoles(ServiceUserDO user)`
`ServiceUserDO[]` | `getUsers()`
`ServiceUserDO[]` | `getUsersForService(java.lang.String serviceId, java.lang.String serviceVersion)`
`ServiceUserRoleDO[]` | `getUserSpecificRoles(java.lang.String user)`
`void` | `handleExistingModuleInit(ModuleDO moduleDO, org.apache.axis2.description.AxisModule axisModule)`
`void` | `handleExistingServiceGroupInit(ServiceGroupDO sgDO, org.apache.axis2.description.AxisServiceGroup serviceGroup)`
`void` | `handleExistingServiceInit(ServiceDO serviceDO, org.apache.axis2.description.AxisService axisService, org.apache.axis2.engine.AxisConfiguration axisConfig)`
`void` | `handleNewModuleAddition(org.apache.axis2.description.AxisModule axisModule, java.lang.String moduleName, java.lang.String moduleVersion)`
`void` | `handleNewServiceAddition(org.apache.axis2.description.AxisService axisService)`
`void` | `handleNewServiceGroupAddition(org.apache.axis2.description.AxisServiceGroup serviceGroup)`
`void` | `removeAllLoggersAndAppenders()`
`void` | `removeAllTrustedCertStores(ServiceDO serviceDO)`
`void` | `removeEJBAppServerConfiguration(java.lang.String jnpProviderUrl)`
`void` | `removeEJBConfiguration(java.lang.String beanJNDIName, java.lang.String jnpProviderUrl)`
`void` | `removeEngagedOperationFromModule(java.lang.String moduleName, java.lang.String moduleVersion, OperationDO operation)`
`void` | `removeEngagedServiceFromModule(java.lang.String moduleName, java.lang.String moduleVersion, ServiceDO service)`
`void` | `removeEngagedServiceGroupFromModule(java.lang.String moduleName, java.lang.String moduleVersion, ServiceGroupDO serviceGrp)`
`void` | `removeRoleFromService(java.lang.String roleName, java.lang.String serviceId, java.lang.String serviceVersion, org.apache.axis2.description.AxisService axisService)`
`void` | `removeUser(java.lang.String username)`
`void` | `removeUserFromService(java.lang.String userName, java.lang.String serviceId, java.lang.String serviceVersion, org.apache.axis2.description.AxisService axisService)`
`void` | `restoreDefaults()`
`void` | `updateAppenderData(java.lang.String appenderName, java.lang.String appenderPattern, java.lang.String threshold, java.lang.String logFileName, java.lang.String sysLogHost, java.lang.String facility, boolean isFileAppender, boolean isSysLogAppender)`
`void` | `updateConfigurationProperty(java.lang.String propertyName, java.lang.String value)`
`void` | `updateEntity(AbstractDataObject obj)`
`void` | `updateLoggerData(java.lang.String loggerName, java.lang.String loggerLevel, boolean aditivity)`
`void` | `updateModule(ModuleDO module)`
`void` | `updateModulePolicy(ModulePolicyDO modulePolicy)`
`void` | `updateOperation(OperationDO operation)`
`void` | `updateSecurityToken(SecurityTokenDO tokenDO)`
`void` | `updateService(ServiceDO service)`
`void` | `updateServicePolicy(ServicePolicyDO servicePolicy)`
`void` | `updateUser(ServiceUserDO user)`
`boolean` | `userHasRole(java.lang.String username, ServiceUserRoleDO role)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistenceManager

    public PersistenceManager()

Method Detail

### addModule

    public java.lang.Long addModule(ModuleDO module)
                             throws ModuleAlreadyExistsException

  Throws:
    `ModuleAlreadyExistsException`

### getModule

    public ModuleDO getModule(java.lang.String moduleName,
                              java.lang.String version)

### getAllModules

    public ModuleDO[] getAllModules()

### updateModule

    public void updateModule(ModuleDO module)
                      throws ModuleNotFoundException

  Throws:
    `ModuleNotFoundException`

### updateSecurityToken

    public void updateSecurityToken(SecurityTokenDO tokenDO)

### getSecurityToken

    public SecurityTokenDO getSecurityToken(java.lang.String tokenId)

### addUserRole

    public java.lang.Long addUserRole(ServiceUserRoleDO serviceUserRole)
                               throws UserRoleAlreadyExistsException

  Throws:
    `UserRoleAlreadyExistsException`

### addOrUpdateUserRole

    public java.lang.Long addOrUpdateUserRole(ServiceUserRoleDO serviceUserRole)
                                       throws UserRoleAlreadyExistsException

  Throws:
    `UserRoleAlreadyExistsException`

### addSecurityScenario

    public java.lang.Long addSecurityScenario(SecurityScenarioDO scenario)
                                       throws SecurityScenarioAlreadyExistsException

  Throws:
    `SecurityScenarioAlreadyExistsException`

### getAllSecurityScenarios

    public SecurityScenarioDO[] getAllSecurityScenarios()

### addUser

    public java.lang.Long addUser(ServiceUserDO serviceUser)
                           throws ServiceUserAlreadyExistsException

  Throws:
    `ServiceUserAlreadyExistsException`

### assignUserToService

    public void assignUserToService(java.lang.String username,
                                    java.lang.String serviceId,
                                    java.lang.String serviceVersion)
                             throws ServiceUserNotFoundException,
                                    ServiceNotFoundException

  Throws:
    `ServiceUserNotFoundException`
    `ServiceNotFoundException`

### assignRoleToService

    public void assignRoleToService(java.lang.String roleName,
                                    java.lang.String serviceId,
                                    java.lang.String serviceVersion)
                             throws ServiceUserNotFoundException,
                                    ServiceNotFoundException

  Throws:
    `ServiceUserNotFoundException`
    `ServiceNotFoundException`

### getUser

    public ServiceUserDO getUser(java.lang.String username)

### getRole

    public ServiceUserRoleDO getRole(java.lang.String role)

### removeRoleFromService

    public void removeRoleFromService(java.lang.String roleName,
                                      java.lang.String serviceId,
                                      java.lang.String serviceVersion,
                                      org.apache.axis2.description.AxisService axisService)
                               throws ServiceUserNotFoundException,
                                      ServiceNotFoundException

  Throws:
    `ServiceUserNotFoundException`
    `ServiceNotFoundException`

### removeUserFromService

    public void removeUserFromService(java.lang.String userName,
                                      java.lang.String serviceId,
                                      java.lang.String serviceVersion,
                                      org.apache.axis2.description.AxisService axisService)
                               throws ServiceUserNotFoundException,
                                      ServiceNotFoundException

  Throws:
    `ServiceUserNotFoundException`
    `ServiceNotFoundException`

### deleteUser

    public void deleteUser(java.lang.String userName)

### deleteRole

    public void deleteRole(java.lang.String roleName)

### deleteRoleFromUser

    public void deleteRoleFromUser(java.lang.String userName,
                                   java.lang.String roleName)

### getUsers

    public ServiceUserDO[] getUsers()

### removeUser

    public void removeUser(java.lang.String username)
                    throws ServiceUserNotFoundException

  Throws:
    `ServiceUserNotFoundException`

### deleteEntity

    public void deleteEntity(AbstractDataObject dataObject)

### getUserRoles

    public ServiceUserRoleDO[] getUserRoles()

### getService

    public ServiceDO getService(java.lang.String serviceId,
                                java.lang.String serviceVersion)

### addServiceGroup

    public void addServiceGroup(ServiceGroupDO sgDO)

### getServiceGroup

    public ServiceGroupDO getServiceGroup(java.lang.String serviceGroupId)

### getServices

    public ServiceDO[] getServices(ServiceGroupDO serviceGroup)

### addService

    public java.lang.Long addService(ServiceDO service)
                              throws ServiceAlreadyExistsException

  Throws:
    `ServiceAlreadyExistsException`

### updateService

    public void updateService(ServiceDO service)
                       throws ServiceNotFoundException

  Throws:
    `ServiceNotFoundException`

### updateOperation

    public void updateOperation(OperationDO operation)
                         throws ServiceNotFoundException

  Throws:
    `ServiceNotFoundException`

### updateUser

    public void updateUser(ServiceUserDO user)
                    throws ServiceUserNotFoundException

  Throws:
    `ServiceUserNotFoundException`

### getServiceUserRole

    public ServiceUserRoleDO getServiceUserRole(java.lang.String role)

### addTransport

    public java.lang.Long addTransport(TransportDO protocol)
                                throws TransportAlreadyExistsException

  Throws:
    `TransportAlreadyExistsException`

### getTransport

    public TransportDO getTransport(java.lang.String protocol)

### getTransports

    public TransportDO[] getTransports()

### addKeyStore

    public java.lang.Long addKeyStore(KeyStoreDO keyStore)
                               throws KeyStoreAlreadyExistsException

  Throws:
    `KeyStoreAlreadyExistsException`

### addToken

    public java.lang.Long addToken(SecurityTokenDO tokenDO)
                            throws TokenAlreadyExistsException

  Throws:
    `TokenAlreadyExistsException`

### deleteKeyStore

    public void deleteKeyStore(java.lang.String keyStoreName)

### getKeyStores

    public KeyStoreDO[] getKeyStores()

### getKeyStore

    public KeyStoreDO getKeyStore(java.lang.String ksName)

### getConfigurationProperty

    public java.lang.String getConfigurationProperty(java.lang.String propertyName)

### updateConfigurationProperty

    public void updateConfigurationProperty(java.lang.String propertyName,
                                            java.lang.String value)

### addServicePolicy

    public void addServicePolicy(ServicePolicyDO servicePolicy)
                          throws ServicePolicyAlreadyExistsException

  Throws:
    `ServicePolicyAlreadyExistsException`

### updateServicePolicy

    public void updateServicePolicy(ServicePolicyDO servicePolicy)
                             throws ServicePolicyNotFoundException

  Throws:
    `ServicePolicyNotFoundException`

### updateModulePolicy

    public void updateModulePolicy(ModulePolicyDO modulePolicy)
                            throws ModulePolicyNotFoundException

  Throws:
    `ModulePolicyNotFoundException`

### getMaxMessageSequence

    public long getMaxMessageSequence(java.lang.String serviceId,
                                      java.lang.String serviceVersion,
                                      java.lang.String operationName)

### addMessage

    public void addMessage(MessageDO message)

### getMessages

    public MessageDO[] getMessages(MessageDO msgSearchCriteria)

### deleteService

    public void deleteService(java.lang.String serviceId,
                              java.lang.String serviceVersion)
                       throws ServiceNotFoundException

  Throws:
    `ServiceNotFoundException`

### deleteServiceGroup

    public void deleteServiceGroup(org.apache.axis2.description.AxisServiceGroup serviceGroup)
                            throws ServiceGroupNotFoundException

  Throws:
    `ServiceGroupNotFoundException`

### getUsersForService

    public ServiceUserDO[] getUsersForService(java.lang.String serviceId,
                                              java.lang.String serviceVersion)

### getRolesForService

    public ServiceUserRoleDO[] getRolesForService(java.lang.String serviceId,
                                                  java.lang.String serviceVersion)

### addEngagedOperationToModule

    public void addEngagedOperationToModule(java.lang.String moduleName,
                                            java.lang.String moduleVersion,
                                            OperationDO op)

### addEngagedServiceToModule

    public void addEngagedServiceToModule(java.lang.String moduleName,
                                          java.lang.String moduleVersion,
                                          ServiceDO service)

### addEngagedServiceGroupToModule

    public void addEngagedServiceGroupToModule(java.lang.String moduleName,
                                               java.lang.String moduleVersion,
                                               ServiceGroupDO serviceGrp)

### addPolicyToService

    public void addPolicyToService(java.lang.String serviceId,
                                   java.lang.String serviceVersion,
                                   ServicePolicyDO policy)

### addParameterToService

    public void addParameterToService(java.lang.String serviceId,
                                      java.lang.String serviceVersion,
                                      ServiceParameterDO param)

### addPolicyToModule

    public void addPolicyToModule(java.lang.String moduleName,
                                  java.lang.String moduleVersion,
                                  ModulePolicyDO policy)

### addParameterToModule

    public void addParameterToModule(java.lang.String moduleName,
                                     java.lang.String moduleVersion,
                                     ModuleParameterDO param)

### getServiceOperations

    public OperationDO[] getServiceOperations(java.lang.String serviceId,
                                              java.lang.String serviceVersion)

### getServiceOperations

    public OperationDO[] getServiceOperations(ServiceDO service)

### getEngagedOperations

    public OperationDO[] getEngagedOperations(java.lang.String moduleName,
                                              java.lang.String moduleVersion)

### getEngagedServices

    public ServiceDO[] getEngagedServices(java.lang.String moduleName,
                                          java.lang.String moduleVersion)

### getEngagedModules

    public ModuleDO[] getEngagedModules(java.lang.String serviceId,
                                        java.lang.String serviceVersion)

### getEngagedModules

    public ModuleDO[] getEngagedModules(ServiceDO service)

### getEngagedModules

    public ModuleDO[] getEngagedModules(OperationDO op)

### getServiceParameters

    public ServiceParameterDO[] getServiceParameters(ServiceDO service)

### getServiceParameter

    public ServiceParameterDO getServiceParameter(ServiceDO service,
                                                  java.lang.String paramName)

### getServiceGroupParameter

    public ServiceGroupParameterDO getServiceGroupParameter(ServiceGroupDO serviceGroup,
                                                            java.lang.String paramName)

### getOperationParameter

    public OperationParameterDO getOperationParameter(java.lang.String serviceId,
                                                      java.lang.String serviceVersion,
                                                      java.lang.String operationId,
                                                      java.lang.String paramName)

### getServicePolicies

    public ServicePolicyDO[] getServicePolicies(ServiceDO service)

### getModulePolicies

    public ModulePolicyDO[] getModulePolicies(ModuleDO module)

### getModulePolicies

    public ModulePolicyDO[] getModulePolicies(java.lang.String moduleName,
                                              java.lang.String moduleVersion)

### getOperationParameters

    public OperationParameterDO[] getOperationParameters(OperationDO op)

### getModuleParameters

    public ModuleParameterDO[] getModuleParameters(ModuleDO module)

### getModuleParameter

    public ModuleParameterDO getModuleParameter(ModuleDO module,
                                                java.lang.String paramName)

### getUserRole

    public ServiceUserRoleDO getUserRole(java.lang.String role)

### getUserRoles

    public ServiceUserRoleDO[] getUserRoles(ServiceUserDO user)

### getUserSpecificRoles

    public ServiceUserRoleDO[] getUserSpecificRoles(java.lang.String user)

### addRole

    public void addRole(java.lang.String userName,
                        ServiceUserRoleDO role)

### getOperation

    public OperationDO getOperation(java.lang.String serviceId,
                                    java.lang.String serviceVersion,
                                    java.lang.String opName)

### getOperations

    public OperationDO[] getOperations(ServiceDO service)

### addEntity

    public void addEntity(AbstractDataObject obj)
                   throws DuplicateEntityException

  Throws:
    `DuplicateEntityException`

### updateEntity

    public void updateEntity(AbstractDataObject obj)

### removeEngagedServiceFromModule

    public void removeEngagedServiceFromModule(java.lang.String moduleName,
                                               java.lang.String moduleVersion,
                                               ServiceDO service)

### removeEngagedServiceGroupFromModule

    public void removeEngagedServiceGroupFromModule(java.lang.String moduleName,
                                                    java.lang.String moduleVersion,
                                                    ServiceGroupDO serviceGrp)

### removeEngagedOperationFromModule

    public void removeEngagedOperationFromModule(java.lang.String moduleName,
                                                 java.lang.String moduleVersion,
                                                 OperationDO operation)

### deleteModule

    public void deleteModule(java.lang.String moduleName,
                             java.lang.String moduleVersion)

### handleNewServiceAddition

    public void handleNewServiceAddition(org.apache.axis2.description.AxisService axisService)
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### handleExistingServiceInit

    public void handleExistingServiceInit(ServiceDO serviceDO,
                                          org.apache.axis2.description.AxisService axisService,
                                          org.apache.axis2.engine.AxisConfiguration axisConfig)
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### handleExistingServiceGroupInit

    public void handleExistingServiceGroupInit(ServiceGroupDO sgDO,
                                               org.apache.axis2.description.AxisServiceGroup serviceGroup)
                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### handleNewServiceGroupAddition

    public void handleNewServiceGroupAddition(org.apache.axis2.description.AxisServiceGroup serviceGroup)
                                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### handleNewModuleAddition

    public void handleNewModuleAddition(org.apache.axis2.description.AxisModule axisModule,
                                        java.lang.String moduleName,
                                        java.lang.String moduleVersion)
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### handleExistingModuleInit

    public void handleExistingModuleInit(ModuleDO moduleDO,
                                         org.apache.axis2.description.AxisModule axisModule)
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### userHasRole

    public boolean userHasRole(java.lang.String username,
                               ServiceUserRoleDO role)

### getAllAppenders

    public java.util.List getAllAppenders()

### getAllLoggers

    public java.util.List getAllLoggers()

### addAppender

    public void addAppender(AppenderDO appenderDO)

### addLogger

    public void addLogger(LoggerDO loggerDO)

### getAppenderDO

    public AppenderDO getAppenderDO(java.lang.String appenderName)

### getLoggerDO

    public LoggerDO getLoggerDO(java.lang.String loggerName)

### updateAppenderData

    public void updateAppenderData(java.lang.String appenderName,
                                   java.lang.String appenderPattern,
                                   java.lang.String threshold,
                                   java.lang.String logFileName,
                                   java.lang.String sysLogHost,
                                   java.lang.String facility,
                                   boolean isFileAppender,
                                   boolean isSysLogAppender)

### updateLoggerData

    public void updateLoggerData(java.lang.String loggerName,
                                 java.lang.String loggerLevel,
                                 boolean aditivity)

### getAllSecurityTokens

    public SecurityTokenDO[] getAllSecurityTokens()

### getSecurityScenario

    public SecurityScenarioDO getSecurityScenario(java.lang.String scenarioId)

### removeAllTrustedCertStores

    public void removeAllTrustedCertStores(ServiceDO serviceDO)

### removeAllLoggersAndAppenders

    public void removeAllLoggersAndAppenders()

### addEJBConfiguration

    public java.lang.Long addEJBConfiguration(EJBProviderDO ejbProvider)
                                       throws EJBConfigurationAlreadyExistsException

  Throws:
    `EJBConfigurationAlreadyExistsException`

### getEJBConfigurations

    public EJBProviderDO[] getEJBConfigurations()

### getEJBConfiguration

    public EJBProviderDO getEJBConfiguration(java.lang.String beanJNDIName,
                                             java.lang.String jnpProviderUrl)
                                      throws EJBConfigurationNotFoundException

  Throws:
    `EJBConfigurationNotFoundException`

### removeEJBConfiguration

    public void removeEJBConfiguration(java.lang.String beanJNDIName,
                                       java.lang.String jnpProviderUrl)
                                throws EJBConfigurationNotFoundException

  Throws:
    `EJBConfigurationNotFoundException`

### addEJBAppServerConfiguration

    public java.lang.Long addEJBAppServerConfiguration(EJBAppServerDO ejbAppServerDO)
                                                throws EJBAppServerAlreadyExistsException

  Throws:
    `EJBAppServerAlreadyExistsException`

### getEJBAppServerConfigurations

    public EJBAppServerDO[] getEJBAppServerConfigurations()

### getEJBAppServerConfiguration

    public EJBAppServerDO getEJBAppServerConfiguration(java.lang.String jnpProviderUrl)

### removeEJBAppServerConfiguration

    public void removeEJBAppServerConfiguration(java.lang.String jnpProviderUrl)
                                         throws EJBAppServerNotFoundException

  Throws:
    `EJBAppServerNotFoundException`

### restoreDefaults

    public void restoreDefaults()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD